For the complete documentation index, see llms.txt. This page is also available as Markdown.

Reports

Download specific report

get
/reports/{reportUid}

Download specific report.

Authorizations
AuthorizationstringRequired

Bearer Authentication scheme.

To use this authentication method indicate Authorization: Bearer <JWT> in the header.

Please replace the value of <JWT> with the JWT generated for that user.

Example

Authorization: Bearer eyJ0eX... (please note that for security reasons the JWT in this example is limited to 6 characters)

Path parameters
reportUidstring · uuidRequired

The unique identifier of that specific report.

Example: 04f5ea24-cc4f-11e8-a8d5-f2801f1b9fd1
Responses
200

Search results matching the criteria.

string · binaryOptional
get
/reports/{reportUid}

Get the list of all reports

get
/reports

By passing in the appropriate options, you can search for reports in the system.

Authorizations
AuthorizationstringRequired

Bearer Authentication scheme.

To use this authentication method indicate Authorization: Bearer <JWT> in the header.

Please replace the value of <JWT> with the JWT generated for that user.

Example

Authorization: Bearer eyJ0eX... (please note that for security reasons the JWT in this example is limited to 6 characters)

Query parameters
pageNumberinteger · min: 1Optional

Page number for records.

Default: 1Example: 1
pageSizeinteger · min: 1 · max: 1000Optional

Page size for returned records.

Default: 50Example: 50
orderBystringOptional

The ordering sequence of the selected records. If this parameter is not provided, descending order will be chosen.

Value Description
ASC Ascending order
DESC Descending order
orderCriteriastringOptional

The ordering criteria of the selected records.

If this parameter not provided, the result will be ordered by createdOn.

Value Description
createdOn Date & Time
modifiedOn Date & Time
status Report status
mimeType Mime type
reportType Report type
reportUid Report identifier
searchstringOptional

A filter query in RSQL format.

The returned reports are limited to those that can be retrieved by the user. Please note that if reportEntityUid is not provided as a search criteria, only records will be returned for the current reportEntityUid assigend to that user (and does not include descendants).

Criteria Description Operator Used
createdOn The date and time the report was created (Date & Time) ==,=lt=,=le=,=gt=,=ge=,=in=,=out=
modifiedOn Date & Time ==,=lt=,=le=,=gt=,=ge=,=in=,=out=
status Report status ==,=in=,=out=
mimeType Mime type ==,=in=,=out=
reportType Report type ==,=in=,=out=
reportUid Report identifier ==,=regex=,=in=,=out=
reportEntityUid Report entity UUID ==,=in=
reportParameter.batchUUID The unique identifier of the settlement batch this report is related to. Mapped to PDSP's transaction.context.paymentContext.batchUUID. ==,=in=
reportParameter.settlementBatchFileNumber The identifier of the settlement batch file this report is related to. Mapped to PDSP's transaction.settlementContext.settlementBatchFileNumber. ==,=regex=,=in=,=out=
reportParameter.clearingEntityUid Clearing entity UUID ==,=in=
reportParameter.clearingAccountUid clearingAccountUid ==,=in=
reportParameter.clearingDate clearingDate (Date & Time) ==,=lt=,=le=,=gt=,=ge=,=in=,=out=
reportParameter.clearingMerchantName clearingMerchantName ==,=regex=,=in=,=out=
reportParameter.clearingUid clearingUid ==,=in=
reportParameter.clearingBankAccount clearingBankAccount ==,=in=
reportParameter.bankingPartner bankingPartner ==,=regex=,=in=,=out=
reportParameter.clearingBankCode clearingBankCode ==,=regex=,=in=,=out=
reportParameter.clearingMerchantId clearingMerchantId ==,=regex=,=in=,=out=
reportParameter.clearingReference clearingReference ==,=regex=,=in=,=out=
reportParameter.generatedOn (deprecated) generatedOn ==,=lt=,=le=,=gt=,=ge=,=in=,=out=
reportParameter.invoicePeriodFrom invoicePeriodFrom ==,=lt=,=le=,=gt=,=ge=,=in=,=out=
reportParameter.invoicePeriodTo invoicePeriodTo ==,=lt=,=le=,=gt=,=ge=,=in=,=out=
reportParameter.invoiceNumber invoiceNumber ==,=regex=,=in=,=out=
reportParameter.reportDescription reportDescription ==,=regex=,=in=,=out=
reportParameter.reportableDay reportableDay ==,=lt=,=le=,=gt=,=ge=,=in=,=out=

RSQL Operators RSQL Query is composed of one or more expressions, combined to each other with following logical operators:

Operator Syntax
Logical AND ; or &
Logical OR ,

RSQL Comparators

Comparator Description
== equal
!= not equal
=lt= less than
=le= less than and equal to
=gt= greater than
=ge= greater than and equal to
=regex= pattern matching
=in= multiple arguments search
=out= exclude

Examples

  • /reports?search=reportType=in=(MERCHANT_SETTLEMENT_REPORT,DAILY_TRANSACTION_REPORT);createdOn=gt=2020-09-20T00:00:00.000Z

  • /reports?search=reportEntityUid=in=(2cbc7ec7-49dd-4e70-be98-dd751cf8640b,0d7e19f7-94d5-49ad-890d-1ce636912fb7,a3ca2522-2810-4db1-b535-6e449c3cea6c)

  • /reports?search=reportParameter.clearingReference==12345

Responses
200

search results matching criteria

application/json
totalsintegerOptional

Total number of reports. The total number of reports matching the search criteria, which can be larger than the number of elements in the array "reports" (which is upper bound by the "pageSize" parameter from the query request).

get
/reports

Last updated

Was this helpful?